> ## Documentation Index
> Fetch the complete documentation index at: https://developer.ongoody.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve recipients for an order batch



## OpenAPI

````yaml GET /v1/order_batches/{id}/recipients
openapi: 3.0.1
info:
  title: Goody API
  version: 1.0.0
  contact:
    name: Goody Support
    email: support@ongoody.com
servers:
  - url: https://api.ongoody.com
    description: Production
  - url: https://api.sandbox.ongoody.com
    description: Sandbox
security: []
paths:
  /v1/order_batches/{id}/recipients:
    get:
      tags:
        - Order Batches
      summary: Retrieve recipients for an order batch
      parameters:
        - name: id
          in: path
          description: Order batch ID
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            type: integer
            default: 1
            minimum: 1
          description: Page for pagination, starting at 1
          required: false
        - name: per_page
          in: query
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 100
          description: Items per page for pagination
          required: false
      responses:
        '200':
          description: Recipients retrieved with pagination
          content:
            application/json:
              examples:
                Recipients retrieved for sent order batch:
                  value:
                    data:
                      - first_name: Alena
                        last_name: Kenter
                        email: alena@ongoody.com
                      - first_name: Michael
                        last_name: Franci
                        email: michael@ongoody.com
                    list_meta:
                      total_count: 2
                Recipients retrieved for scheduled order batch with pagination:
                  value:
                    data:
                      - first_name: Alice
                        last_name: Wilson
                        email: alice@ongoody.com
                    list_meta:
                      total_count: 11
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/OrderBatchRecipient'
                  list_meta:
                    $ref: '#/components/schemas/ListMeta'
        '400':
          description: Fail to retrieve when page is 0
          content:
            application/json:
              examples:
                Invalid page parameter:
                  value:
                    error: Page must be greater than 0
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Error'
                  list_meta:
                    $ref: '#/components/schemas/ListMeta'
        '404':
          description: Not found
          content:
            application/json:
              examples:
                Order batch not found:
                  value:
                    error: Order batch not found
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer: []
components:
  schemas:
    OrderBatchRecipient:
      type: object
      properties:
        first_name:
          type: string
        last_name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
      required:
        - first_name
    ListMeta:
      type: object
      properties:
        total_count:
          type: integer
          description: The total number of items in this list.
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: Your Goody API key.

````